Subject: Re: linux-next: manual merge of the pm tree with the i2c tree

From: Wolfram Sang <[email-masked]>
Date: Sun, 17 Jul 2016 20:14:48 +0200

> > > > > I fixed it up (I think, but it needs more work - see below) and can
> > > > 
> > > > For a start, it generates this warning, now:
> > > > 
> > > > drivers/i2c/i2c-core.c:269:20: warning: 'i2c_acpi_add_device' defined but not used [-Wunused-function]
> > > > static acpi_status i2c_acpi_add_device(acpi_handle handle, u32 level,
> > > >                    ^
> > > 
> > > OK, thanks for the heads-up.
> > 
> > Yes, thanks!
> > 
> > > 
> > > Wolfram, what about if I exposed my "acpi-tables" branch for you to pull?
> > > 
> > > You could resolve this in your tree then.
> > 
> > I can pull it in, sure. For the fixup, I'd like a commitment from one of
> > the ACPI experts (Jarkko, Mika, Andy), though. Otherwise I'd need to
> > revert given that we are quite late in the cycle already.
> 
> The branch is here:
> 
>  git://git.kernel.org/pub/scm/linux/kernel/git/rafael/linux-pm.git acpi-tables
> 
> The top-most commit is:
> 
> fafe5306f201 ACPI: Rename configfs.c to acpi_configfs.c to prevent link error
> 
> I won't rebase this branch going forward, so it is safe to pull.
> 
> Please let me know how I can help with the conflict resolution.

Well, not knowing much about ACPI, I just need the conflict resolution
for my latest i2c/for-next and your above branch. If you want to do it,
fine with me. But maybe Jarkko will be back to office on Monday, too.